<!DOCTYPE html>
<html lang="en">
	<head>
		<title>Bootstrap Example</title>
		<meta charset="utf-8" />
		<meta name="viewport" content="width=device-width, initial-scale=1" />
		<link
			rel="stylesheet"
			href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css"
		/>
		<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
		<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
	</head>

	<body>
		<div class="container">
			<div class="text-center my-4">
				<h2>Danh sách người dùng</h2>
			</div>

			<table
				class="table table-bordered table-striped table-hover text-center"
				id="table"
			>
				<thead>
					<tr>
						<th>STT</th>
						<th>Album</th>
						<th>Title</th>
						<th>Url ảnh</th>
						<th>Thumbnail</th>
					</tr>
				</thead>
				<tbody></tbody>
			</table>
		</div>
		​
		<script>
			'use strict';
			/*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */

			/*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
			$(document).ready(function () {
				onPageLoading();
			});
			/*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
			function onPageLoading() {
				$.ajax({
					url: 'https://jsonplaceholder.typicode.com/albums/3/photos',
					type: 'GET',
					dataType: 'json', // added data type
					success: function (vUserObj) {
						console.log(vUserObj);
						loadUserToTable(vUserObj);
					},
					error: function (ajaxContext) {
						alert(ajaxContext.responseText);
					},
				});
			}

			/*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
			function loadUserToTable(paramUserObj) {
				var vTableUsers = $('#table');
				for (var bI = 0; bI < paramUserObj.length; bI++) {
					var bNewRow = $('<tr>').appendTo(vTableUsers);
					$('<td>')
						.html(bI + 1)
						.appendTo(bNewRow);
					$('<td>').html(paramUserObj[bI].albumId).appendTo(bNewRow);
					$('<td>').html(paramUserObj[bI].title).appendTo(bNewRow);
					$('<td>').html(paramUserObj[bI].url).appendTo(bNewRow);
					var vTrImg = $('<td>').appendTo(bNewRow);
					$('<img>', {
						src: paramUserObj[bI].thumbnailUrl,
					}).appendTo(vTrImg);
				}
			}
		</script>
	</body>
</html>
​
